EpamMVC.WEB/Areas/Admin/Models/HomeAdmin/IndexViewModel.cs
using EpamMVC.DLL.Entities;
using EpamMVC.DLL.Models;

namespace EpamMVC.WEB.Areas.Admin.Models.HomeAdmin
{
    public class IndexViewModel
    {

        public PaginatedList<ApplicationIdentityUser> LastUsers { get; set; }
        public PaginatedList<ClientAccount> ClientAccountsUnlockRequests { get; set; }
        public int ClientAccountCount { get; set; }
        public PaginatedList<ExceptionLog> ExceptionLogs { get; set; }
        public PaginatedList<ClientPayment> ClientPayments { get; set; }
        public PaginatedList<CallbackRequest> CallbackRequests { get; set; }
    }
}

EpamMVC.WEB/Areas/Admin/Controllers/ClientAccountAdminController.cs
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using System.Web.Mvc;
using EpamMVC.BLL.Interfaces;
using EpamMVC.DLL.Entities;
using EpamMVC.DLL.Interfaces;
using EpamMVC.WEB.Areas.Admin.Models.ClientAccountAdmin;
using EpamMVC.WEB.Models;
using EpamMVC.WEB.Utils;

namespace EpamMVC.WEB.Areas.Admin.Controllers
{
    [Authorize(Roles = "Администраторы")]
    public class ClientAccountAdminController : Controller
    {
        private const int PageSize = 20;
        private readonly IClientAccountService _clientAccountService;

        public ClientAccountAdminController(IClientAccountService clientAccountService)
        {
            _clientAccountService = clientAccountService;
        }

        public async Task<ActionResult> Index(int pageIndex = 1)
        {
            var items = await _clientAccountService.GetAsync(
                pageIndex,
                PageSize,
                x => x.Id,
                OrderDirection.Descending,
                null,
                x => x.User
            );

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Карты пользователей",
                PageHeader = "Карты пользователей",
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Карты пользователей"
                    }
                }
            };

            return View(new IndexViewModel
            {
                Accounts = items,
                Pagination = new Pagination
                {
                    UrlTemplate = Url.Action("Index", new {pageIndex = "PAGE_INDEX"}),
                    PageSize = PageSize,
                    CurrentPageNumber = pageIndex,
                    TotalItems = items.TotalCount
                }
            });
        }

        public async Task<ActionResult> Edit(int id)
        {
            var account = await _clientAccountService.GetSingleAsync(x => x.Id == id);

            if (account == null) return HttpNotFound();

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Редактирование карты - " + account.Id,
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Список карт"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Edit", new {account.Id}),
                        Text = "Редактирование карты"
                    }
                }
            };

            return View(account);
        }

        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<ActionResult> Edit(ClientAccount submittedAccount)
        {
            var currentAccount = await _clientAccountService.GetByIdAsync(submittedAccount.Id);

            if (ModelState.IsValid)
            {
                currentAccount.Balance = submittedAccount.Balance;
                currentAccount.Locked = submittedAccount.Locked;
                currentAccount.UnlockRequest = submittedAccount.UnlockRequest;

                if (currentAccount.UnlockRequest)
                {
                    currentAccount.UnlockRequest = true;
                }

                await _clientAccountService.UpdateAsync(currentAccount);
                return RedirectToAction("Index");
            }

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Редактирование карты - " + currentAccount.Id,
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Список карт"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Edit", new {currentAccount.Id}),
                        Text = "Редактирование карты"
                    }
                }
            };

            return View(submittedAccount);
        }

        public async Task<ActionResult> Delete(int id)
        {
            var clientAccount = await _clientAccountService
                .GetSingleAsync(x => x.Id == id, x => x.User);
            if (clientAccount == null) return HttpNotFound();

            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Удалить счет/карту " + clientAccount.Id,
                Breadscrumbs = new List<PageMetaContextUrl>
                {
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Index"),
                        Text = "Карты пользователей"
                    },
                    new PageMetaContextUrl
                    {
                        Link = Url.Action("Delete", new {clientAccount.Id}),
                        Text = "Удалить счет"
                    }
                }
            };

            return View(clientAccount);
        }

        [HttpPost]
        [ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<ActionResult> DeleteConfirmed(int id)
        {
            if (ModelState.IsValid)
            {
                var clientAccount = await _clientAccountService.GetSingleAsync(x => x.Id == id);
                if (clientAccount == null) return HttpNotFound();

                await _clientAccountService.DeleteAsync(clientAccount);

                return RedirectToAction("Index");
            }

            return View();
        }
    }
}

EpamMVC.WEB/Areas/Admin/Controllers/HomeAdminController.cs
using System.Threading.Tasks;
using System.Web.Mvc;
using EpamMVC.BLL.Interfaces;
using EpamMVC.DLL.Interfaces;
using EpamMVC.WEB.Areas.Admin.Models.HomeAdmin;
using EpamMVC.WEB.Utils;

namespace EpamMVC.WEB.Areas.Admin.Controllers
{
    [Authorize(Roles = "Администраторы")]
    public class HomeAdminController : Controller
    {
        private const int lastCount = 5;
        private IClientAccountService _clientAccountService;
        private IClientPaymentService _clientPaymentService;
        private ICallbackService _callbackService;
        private IExceptionLogService _exceptionLogService;
        private IApplicationUserManager _userManager;

        public HomeAdminController(
            IApplicationUserManager userManager,
            IClientAccountService clientAccountService,
            IClientPaymentService clientPaymentService,
            ICallbackService callbackService,
            IExceptionLogService exceptionLogService
        )
        {
            _userManager = userManager;
            _clientAccountService = clientAccountService;
            _clientPaymentService = clientPaymentService;
            _callbackService = callbackService;
            _exceptionLogService = exceptionLogService;
        }

        public async Task<ActionResult> Index()
        {
            ViewBag.pageMeta = new PageMetaContext
            {
                MetaTitle = "Панель администратора",
                PageHeader = "Панель администратора"
            };

            return View(new IndexViewModel()
            {
                ClientAccountsUnlockRequests = await _clientAccountService.GetAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending,
                    null,
                    x => x.User
                ),
                ClientAccountCount = await _clientAccountService.CountAsync(),
                CallbackRequests = await _callbackService.GetAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending,
                    x => x.Called == false
                ),
                ClientPayments = await _clientPaymentService.GetAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending
                ),
                ExceptionLogs = await _exceptionLogService.GetAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending
                ),
                LastUsers = await _userManager.GetUsersAsync(
                    1,
                    lastCount,
                    x => x.Id,
                    OrderDirection.Descending
                )
            });
        }
    }
}

EpamMVC.WEB/Areas/Admin/Views/HomeAdmin/Index.cshtml
@using EpamMVC.DLL.Entities
@model EpamMVC.WEB.Areas.Admin.Models.HomeAdmin.IndexViewModel

<div class="container-fluid">

<div class="row">

    <div class="col-12 col-sm-6 col-md-3">
        <div class="info-box mb-3">
            <span class="info-box-icon bg-warning elevation-1">
                <i class="fas fa-users"></i>
            </span>

            <div class="info-box-content">
                <span class="info-box-text">Пользователей</span>
                <span class="info-box-number">
                    @Model.LastUsers.TotalCount
                </span>
            </div>
        </div>
    </div>

    <div class="col-12 col-sm-6 col-md-3">
        <div class="info-box mb-3">
            <span class="info-box-icon bg-success elevation-1">
                <i class="fa fa-credit-card"></i>
            </span>

            <div class="info-box-content">
                <span class="info-box-text">Карт покупателей</span>
                <span class="info-box-number">
                    @Model.ClientAccountCount
                </span>
            </div>
        </div>
    </div>

    <div class="col-12 col-sm-6 col-md-3">
        <div class="info-box mb-3">
            <span class="info-box-icon bg-success elevation-1">
                <i class="fas fa-shopping-cart"></i>
            </span>

            <div class="info-box-content">
                <span class="info-box-text">Платежи</span>
                <span class="info-box-number">
                    @Model.ClientPayments.TotalCount
                </span>
            </div>
        </div>
    </div>

    <div class="col-12 col-sm-6 col-md-3">
        <div class="info-box mb-3">
            <span class="info-box-icon bg-info elevation-1">
                <i class="fas fa-phone"></i>
            </span>

            <div class="info-box-content">
                <span class="info-box-text">Заказов звонка</span>
                <span class="info-box-number">
                    @Model.CallbackRequests.TotalCount
                </span>
            </div>
        </div>
    </div>

</div>


<div class="row">
    <div class="col-lg-6">

        <div class="card card-primary">
            <div class="card-header border-0">
                <h3 class="card-title">
                    Запросы на активацию карт
                </h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Сумма</th>
                        <th>Клиент</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach (var clientAccount in Model.ClientAccountsUnlockRequests)
                    {
                        <tr>
                            <td>
                                @clientAccount.Id
                            </td>
                            <td>
                                @clientAccount.Balance
                            </td>
                            <td>
                                @clientAccount.User.Email
                            </td>
                            <td>
                                <a class="btn btn-primary btn-sm"
                                   href="@Url.Action("Edit", "ClientAccountAdmin", new {id = clientAccount.Id})">
                                    Разблокировать
                                </a>
                            </td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>



        <div class="card card-danger">
            <div class="card-header border-0">
                <h3 class="card-title">Ошибки</h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Дата</th>
                        <th>Котроллер</th>
                        <th>Действие</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach (var logRecord in Model.ExceptionLogs)
                    {
                        <tr>
                            <td>
                                @logRecord.Id
                            </td>
                            <td>
                                @logRecord.DateTime
                            </td>
                            <td>
                                @logRecord.ControllerName
                            </td>
                            <td>
                                @logRecord.ActionName
                            </td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>

    </div>

    <div class="col-lg-6">

        <div class="card card-info">
            <div class="card-header border-0">
                <h3 class="card-title">Заказы звонка</h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Дата</th>
                        <th>Имя</th>
                        <th>Телефон</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach (var request in Model.CallbackRequests)
                    {
                        <tr>
                            <td>
                                @request.Id
                            </td>

                            <td>
                                @request.CreatedDateTime
                            </td>
                            <td>
                                @request.Name
                            </td>
                            <td>
                                @request.Phone
                            </td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>

        <div class="card card-success">
            <div class="card-header border-0">
                <h3 class="card-title">
                    Последние платежи
                </h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Дата</th>
                        <th>Сумма</th>
                        <th>Действие</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach (var payment in Model.ClientPayments)
                    {
                        <tr>
                            <td>
                                @payment.Id
                            </td>
                            <td>
                                @payment.CreatedDateTime
                            </td>
                            <td>
                                @payment.Amount
                            </td>
                            <td>
                                @if (payment.Status == ClientPayment.Statuses.Prepare)
                                {
                                    <span class="badge bg-secondary">Подготовлен</span>
                                }
                                else
                                {
                                    <span class="badge bg-success">Отправлен</span>
                                }
                            </td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>

    </div>


</div>
</div>